Bug 1287202 - golang-github-docker-libcontainer FTBFS
golang-github-docker-libcontainer FTBFS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang-github-docker-libcontainer (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fridolín Pokorný
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 13:15 EST by Jakub Čajka
Modified: 2016-03-29 19:20 EDT (History)
4 users (show)

See Also:
Fixed In Version: golang-github-docker-libcontainer-2.1.1-0.6.gitc964368.fc24 golang-github-docker-libcontainer-2.1.1-0.6.gitc964368.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:02:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Čajka 2015-12-01 13:15:59 EST
Package fails to build with:
.
.
.
gcc -I . -fPIC -m64 -pthread -fmessage-length=0 -I $WORK/net/_obj/ -g -O2 -o $WORK/net/_obj/cgo_socknew.cgo2.o -c $WORK/net/_obj/cgo_socknew.cgo2.c
gcc -I . -fPIC -m64 -pthread -fmessage-length=0 -I $WORK/net/_obj/ -g -O2 -o $WORK/net/_obj/cgo_unix.cgo2.o -c $WORK/net/_obj/cgo_unix.cgo2.c
gcc -I . -fPIC -m64 -pthread -fmessage-length=0 -o $WORK/net/_obj/_cgo_.o $WORK/net/_obj/_cgo_main.o $WORK/net/_obj/_cgo_export.o $WORK/net/_obj/cgo_linux.cgo2.o $WORK/net/_obj/cgo_resnew.cgo2.o $WORK/net/_obj/cgo_socknew.cgo2.o $WORK/net/_obj/cgo_unix.cgo2.o -g -O2
/usr/lib/golang/pkg/tool/linux_amd64/cgo -objdir $WORK/net/_obj/ -dynpackage net -dynimport $WORK/net/_obj/_cgo_.o -dynout $WORK/net/_obj/_cgo_import.go
gcc -I . -fPIC -m64 -pthread -fmessage-length=0 -o $WORK/net/_obj/_all.o $WORK/net/_obj/_cgo_export.o $WORK/net/_obj/cgo_linux.cgo2.o $WORK/net/_obj/cgo_resnew.cgo2.o $WORK/net/_obj/cgo_socknew.cgo2.o $WORK/net/_obj/cgo_unix.cgo2.o -g -O2 -Wl,-r -nostdlib /usr/lib/gcc/x86_64-redhat-linux/5.2.1/libgcc.a -Wl,--build-id=none
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/net.a -trimpath $WORK -p net -buildid d46a96edc93f6942d889d63b38bb7962b123eea6 -D _/usr/lib/golang/src/net -I $WORK -pack ./addrselect.go ./conf.go ./dial.go ./dnsclient.go ./dnsclient_unix.go ./dnsconfig_unix.go ./dnsmsg.go ./fd_mutex.go ./fd_poll_runtime.go ./fd_posix.go ./fd_unix.go ./file.go ./file_unix.go ./hook.go ./hook_cloexec.go ./hook_unix.go ./hosts.go ./interface.go ./interface_linux.go ./ip.go ./iprawsock.go ./iprawsock_posix.go ./ipsock.go ./ipsock_posix.go ./lookup.go ./lookup_unix.go ./mac.go ./net.go ./nss.go ./parse.go ./pipe.go ./port.go ./port_unix.go ./sendfile_linux.go ./sock_cloexec.go ./sock_linux.go ./sock_posix.go ./sockopt_linux.go ./sockopt_posix.go ./sockoptip_linux.go ./sockoptip_posix.go ./tcpsock.go ./tcpsock_posix.go ./tcpsockopt_posix.go ./tcpsockopt_unix.go ./udpsock.go ./udpsock_posix.go ./unixsock.go ./unixsock_posix.go $WORK/net/_obj/_cgo_gotypes.go $WORK/net/_obj/cgo_linux.cgo1.go $WORK/net/_obj/cgo_resnew.cgo1.go $WORK/net/_obj/cgo_socknew.cgo1.go $WORK/net/_obj/cgo_unix.cgo1.go $WORK/net/_obj/_cgo_import.go
github.com/docker/libcontainer/criurpc
mkdir -p $WORK/github.com/docker/libcontainer/criurpc/_obj/
cd /builddir/build/BUILD/libcontainer-c9643688cb73c2588a9c9b14357bda6c3a9df67f/_build/src/github.com/docker/libcontainer/criurpc
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/docker/libcontainer/criurpc.a -trimpath $WORK -p github.com/docker/libcontainer/criurpc -complete -buildid 40ba3b506627eca3ca84248ec4fe8fea25bc83c8 -D _/builddir/build/BUILD/libcontainer-c9643688cb73c2588a9c9b14357bda6c3a9df67f/_build/src/github.com/docker/libcontainer/criurpc -I $WORK -I /usr/share/gocode/pkg/linux_amd64 -pack ./criurpc.pb.go
cd /usr/lib/golang/src/net
pack r $WORK/net.a $WORK/net/_obj/_all.o # internal
github.com/godbus/dbus
mkdir -p $WORK/github.com/godbus/dbus/_obj/
mkdir -p $WORK/github.com/godbus/
cd /usr/share/gocode/src/github.com/godbus/dbus
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/godbus/dbus.a -trimpath $WORK -p github.com/godbus/dbus -complete -buildid 8cdb67ce09c6f862ab23e84b845d99b07eb93985 -D _/usr/share/gocode/src/github.com/godbus/dbus -I $WORK -pack ./auth.go ./auth_external.go ./auth_sha1.go ./call.go ./conn.go ./conn_other.go ./dbus.go ./decoder.go ./doc.go ./encoder.go ./export.go ./homedir.go ./homedir_dynamic.go ./message.go ./object.go ./sig.go ./transport_generic.go ./transport_unix.go ./transport_unixcred_linux.go ./variant.go ./variant_lexer.go ./variant_parser.go
github.com/docker/libcontainer/netlink
mkdir -p $WORK/github.com/docker/libcontainer/netlink/_obj/
cd /builddir/build/BUILD/libcontainer-c9643688cb73c2588a9c9b14357bda6c3a9df67f/_build/src/github.com/docker/libcontainer/netlink
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/docker/libcontainer/netlink.a -trimpath $WORK -p github.com/docker/libcontainer/netlink -complete -buildid e7b2e7e4054b8a840106ddcd3e9a2255e17f7099 -D _/builddir/build/BUILD/libcontainer-c9643688cb73c2588a9c9b14357bda6c3a9df67f/_build/src/github.com/docker/libcontainer/netlink -I $WORK -pack ./netlink.go ./netlink_linux.go ./netlink_linux_notarm.go
github.com/coreos/go-systemd/dbus
mkdir -p $WORK/github.com/coreos/go-systemd/dbus/_obj/
mkdir -p $WORK/github.com/coreos/go-systemd/
cd /usr/share/gocode/src/github.com/coreos/go-systemd/dbus
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/coreos/go-systemd/dbus.a -trimpath $WORK -p github.com/coreos/go-systemd/dbus -complete -buildid 50f119aa95b1dd26445c47671e75ec5c22340d30 -D _/usr/share/gocode/src/github.com/coreos/go-systemd/dbus -I $WORK -I /usr/share/gocode/pkg/linux_amd64 -pack ./dbus.go ./methods.go ./properties.go ./set.go ./subscription.go ./subscription_set.go
github.com/docker/libcontainer/cgroups/systemd
mkdir -p $WORK/github.com/docker/libcontainer/cgroups/systemd/_obj/
cd /builddir/build/BUILD/libcontainer-c9643688cb73c2588a9c9b14357bda6c3a9df67f/_build/src/github.com/docker/libcontainer/cgroups/systemd
/usr/lib/golang/pkg/tool/linux_amd64/compile -o $WORK/github.com/docker/libcontainer/cgroups/systemd.a -trimpath $WORK -p github.com/docker/libcontainer/cgroups/systemd -complete -buildid 40b3fabdf5f79ed42f4aecae35e03a23718f39c2 -D _/builddir/build/BUILD/libcontainer-c9643688cb73c2588a9c9b14357bda6c3a9df67f/_build/src/github.com/docker/libcontainer/cgroups/systemd -I $WORK -I /usr/share/gocode/pkg/linux_amd64 -I /builddir/build/BUILD/libcontainer-c9643688cb73c2588a9c9b14357bda6c3a9df67f/_build/pkg/linux_amd64 -pack ./apply_systemd.go
# github.com/docker/libcontainer/cgroups/systemd
_build/src/github.com/docker/libcontainer/cgroups/systemd/apply_systemd.go:86: not enough arguments in call to theConn.StartTransientUnit
_build/src/github.com/docker/libcontainer/cgroups/systemd/apply_systemd.go:101: not enough arguments in call to theConn.StopUnit
_build/src/github.com/docker/libcontainer/cgroups/systemd/apply_systemd.go:120: not enough arguments in call to theConn.StartTransientUnit
_build/src/github.com/docker/libcontainer/cgroups/systemd/apply_systemd.go:129: not enough arguments in call to theConn.StopUnit
_build/src/github.com/docker/libcontainer/cgroups/systemd/apply_systemd.go:190: not enough arguments in call to theConn.StartTransientUnit
error: Bad exit status from /var/tmp/rpm-tmp.VKhYJC (%build)
.
.
.

Seems as "too new" golang-github-godbus-dbus to me.

Failed scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12022741
Comment 1 Jan Kurik 2016-02-24 09:04:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2016-03-17 08:45:42 EDT
golang-github-docker-libcontainer-2.1.1-0.6.gitc964368.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae4ca19865
Comment 3 Fedora Update System 2016-03-17 08:45:54 EDT
golang-github-docker-libcontainer-2.1.1-0.6.gitc964368.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8585e0291
Comment 4 Fedora Update System 2016-03-18 10:57:03 EDT
golang-github-docker-libcontainer-2.1.1-0.6.gitc964368.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae4ca19865
Comment 5 Fedora Update System 2016-03-18 21:25:49 EDT
golang-github-docker-libcontainer-2.1.1-0.6.gitc964368.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8585e0291
Comment 6 Fedora Update System 2016-03-26 14:02:28 EDT
golang-github-docker-libcontainer-2.1.1-0.6.gitc964368.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-29 19:20:27 EDT
golang-github-docker-libcontainer-2.1.1-0.6.gitc964368.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.